Update Organization connection

Updates the configuration of an Identity Provider connection.

PUT
/v2/manage/organizations/{orgId}/connections/{connId}

Updates the configuration of an Identity Provider connection.

Authorization

apikey<token>

Tenant API Key for authentication

In: query

apisecret<token>

Tenant API Secret for authentication

In: query

Path Parameters

orgId*string

Organization ID

connId*string

Organization Connection ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://api.loginradius.com/v2/manage/organizations/org_1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef/connections/conn_1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef" \  -H "Content-Type: application/json" \  -d '{}'
{
  "Id": "conn_Z5ZtmHl2aMpi5VZP",
  "IsActive": true,
  "CreatedDate": "2023-10-01T00:00:00Z",
  "GroupRoles": [
    {
      "GroupId": "eca8da89-09ed-476f-a689-11fa9a0b14ce",
      "Name": "Security",
      "RoleId": "role_Z6NE1ZkupP7lwD6E",
      "Id": "group_role_Z6NFN5kupP7lwD6G"
    }
  ],
  "ModifiedDate": "2023-10-01T00:00:00Z",
  "Name": "AzureAD",
  "Domain": "example.com",
  "Attributes": {
    "CustomMapping": {
      "Gender": "gender"
    },
    "Email": "email",
    "FirstName": "firstName",
    "Groups": "groups",
    "ID": "sub",
    "LastName": "lastName"
  },
  "IDPEntityId": "https://exampleIdp.com",
  "IDPMetadataUrl": "https://exampleIdp.com/metadata.xml",
  "IsIDPInitiated": true,
  "IDPCertificate": {
    "Certificate": "-----BEGIN CERTIFICATE-----\n...\n-----END CERTIFICATE-----\n",
    "NotAfter": "2023-10-01T00:00:00Z",
    "NotBefore": "2023-10-01T00:00:00Z"
  },
  "ConnectionType": "saml_custom",
  "EntityId": "https://example.hub.loginradius.com/saml/sp/Z5ZtBULhXHAJKrLsOmeWbZh5dmjKYuVWTw",
  "MetadataUrl": "https://example.hub.loginradius.com/saml/sp/Z5ZtBULhXHAJKrLsOmeWbZh5dmjKYuVWTw/metadata.xml",
  "ACSEndpoint": "https://example.hub.loginradius.com/saml/sp/acs/Z5ZtBULhXHAJKrLsOmeWbZh5dmjKYuVWTw",
  "SPCertificate": {
    "Certificate": "-----BEGIN CERTIFICATE-----\n...\n-----END CERTIFICATE-----\n"
  }
}

{
  "Description": "This Connection ID is invalid, please use valid Connection ID.",
  "ErrorCode": 8151,
  "Message": "Connection ID is invalid"
}

{
  "Description": "Organization domain is not verified, Please verify the domain.",
  "ErrorCode": 8177,
  "Message": "Organization domain is not verified"
}

{
  "Description": "The provided domain is not associated with the organization. Please use a different organization domain.",
  "ErrorCode": 8150,
  "Message": "Domain does not exist within the organization"
}

{
  "Description": "Connection exists with the same name. Use a different Connection name.",
  "ErrorCode": 8148,
  "Message": "Connection exists with the same name"
}

{
  "Message": "Operation failed due to an internal error.",
  "Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
  "ErrorCode": 7909
}